<ion-header [translucent]="true">
   <ion-toolbar color="primary">
    <ion-title>
        Todolist
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  
 
    <div class="bg-img">
          <h1><b>Aujourd'hui</b></h1>
          <h5>{{ currentDate }}</h5>

          <ion-card>
            <ion-item lines="none">
              <ion-checkbox color="success" slot="start"></ion-checkbox>
              <ion-label>
                <h2>Tâche</h2>
                <p>Heure</p>
              </ion-label>
              <ion-button (click)="getTasks()">
                <ion-icon name="refresh" slot="icon-only"></ion-icon>
              </ion-button>
            </ion-item>
          </ion-card>
    
        <ion-card *ngFor="let task of tasks">
          <ion-item-sliding>
            <ion-item lines="none">
              <ion-checkbox (ionChange)="changeCheckState(task)" color="success" [(ngModel)]="task.checked" slot="start">
              </ion-checkbox>
              <ion-label>
                <h2 *ngIf="!task.checked">{{ task.text }}</h2>
                <h2 *ngIf="task.checked" style="text-decoration:line-through;">{{ task.text }}</h2>
                <p>{{ task.hour }}</p>
              </ion-label>
            </ion-item>
            <ion-item-options side="end">
              <ion-item-option color="danger" (click)="deleteTask(task)">
                <ion-icon name="trash" slot="icon-only"></ion-icon>
              </ion-item-option>
            </ion-item-options>
          </ion-item-sliding>
        </ion-card>

    <ion-card *ngIf="addTask">
      <ion-item lines="none">
        <ion-input [(ngModel)]="myTask" placeholder="Entrer une tâche">
        </ion-input>
        <ion-button (click)="addTaskToFirebase()" shape="round" slot="end">
          <ion-icon slot="icon-only" name="add"></ion-icon>
        </ion-button>
      </ion-item>
    </ion-card>

<ion-button *ngIf="!addTask" (click)="showForm()" expand="block" class="add-button">
  <ion-icon name="add" slot="start"></ion-icon>
  Ajouter une tâche
</ion-button>

<ion-button *ngIf="addTask" (click)="showForm()" expand="block" class="add-button">
  <ion-icon name="close" slot="start"></ion-icon>
  Annuler
</ion-button>

  </div>
  
  </ion-content>
